# Compiling on OS/2

From: Franz Bakan (fbakan@gmx.net)
Date: Sun Jun 03 2001 - 12:14:30 PDT

- Next message: Ben Stanley: "Re: xsane requests username and password after saned has exited"
  - Previous message: Carlitos Monti: "UMAX Vistascan S12"
  - Next in thread: Franz Bakan: "Re: Compiling on OS/2"
  - Maybe reply: Franz Bakan: "Re: Compiling on OS/2"
  - Reply: Henning Meier-Geinitz: "Re: Compiling on OS/2"
  - Reply: Henning Meier-Geinitz: "Re: Compiling on OS/2"
  - Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

  Hi,

  Now compiling of statically linked scanimage works
  without modifying the sources. :-)
  !Thanks Henning!
  Only minimal changes to makefiles and config.h are necessary as
  described earlier.

  To compile sane-backends/frontend/test
  I had to change the order of some #include commands in test.c:
  If I use the following order it builds:
  ...
  #include <ctype.h>
  #include <limits.h>
  #include <netdb.h>
  #include <stdio.h>
  #include <stdlib.h>
  #include <string.h>
  #include <unistd.h>

  #include <sys/socket.h>
  #include <sys/types.h>

  #include <netinet/in.h>

  #include <sane/sane.h>
  ...

  'make install' partly works, but has some minor problems because
  it does not find the dlls because there are no dlls ...

  I also succeeded to build a statical linked working Xscanimage :-)

  I had to copy 'g:/XFree86/bin/gtk12-config' to 'g:/XFree86/bin/gtk-config'

  and used:
  sh configure --with-sane-prefix=g:/usr --disable-sanetest
  --with-gtk-prefix=g:/XFree86 --disable-gtktest

  I had to delete the 'struct timespec' definition from pthread.h
  because this def is allready in sys/time.h

  But then xscanimage compiled without errors.
  Linking was done manually with:
  gcc -Zexe -Zmtd -D__ST_MT_ERRNO__ -O2 -s -Zsysv-signals
  -Zstack 512 -o xscanimage xscanimage.o progress.o preview.o
  preferences.o gtkglue.o ../../sane-backends/backend/.libs/libsane.a
  ../sanei/libsanei.a ../lib/liblib.a -lgimp -Lg:/XFree86/lib -Zbin-files -lgtk12
  -lgdk12 -lgmodule -ldl -lglib12 -lintl -lXext -lX11 -lshm -lbsd -lsyslog
  -lsocket -lm

  I have documented all this at
  http://home.tiscalinet.de/fbakan/sane105.htm

  Franz

      --
      Source code, list archive, and docs: http://www.mostang.com/sane/
      To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

  - Next message: Ben Stanley: "Re: xsane requests username and password after saned has exited"
  - Previous message: Carlitos Monti: "UMAX Vistascan S12"
  - Next in thread: Franz Bakan: "Re: Compiling on OS/2"
  - Maybe reply: Franz Bakan: "Re: Compiling on OS/2"
  - Reply: Henning Meier-Geinitz: "Re: Compiling on OS/2"
  - Reply: Henning Meier-Geinitz: "Re: Compiling on OS/2"
  - Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

  This archive was generated by hypermail 2b29 : Sun Jun 03 2001 - 12:15:43 PDT